<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.app.mapper.ContractMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.modules.app.entity.ContractDO">
        <result column="id" property="id" />
        <result column="created_time" property="createdTime" />
        <result column="creator" property="creator" />
        <result column="modified_time" property="modifiedTime" />
        <result column="modifier" property="modifier" />
        <result column="contract_code" property="contractCode" />
        <result column="contract_name" property="contractName" />
        <result column="state" property="state" />
        <result column="saler_user_id" property="salerUserId" />
        <result column="saler_user_name" property="salerUserName" />
        <result column="saler_user_address" property="salerUserAddress" />
        <result column="saler_credit_code" property="salerCreditCode" />
        <result column="buyer_user_id" property="buyerUserId" />
        <result column="buyer_user_name" property="buyerUserName" />
        <result column="buyer_user_address" property="buyerUserAddress" />
        <result column="buyer_credit_code" property="buyerCreditCode" />
        <result column="contract_expiry_time" property="contractExpiryTime" />
        <result column="no_epidemic_proof_url" property="noEpidemicProofUrl" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,
        created_time,
        creator,
        modified_time,
        modifier,
        contract_code, contract_name, state, saler_user_id, saler_user_name, saler_user_address, saler_credit_code, buyer_user_id, buyer_user_name, buyer_user_address, buyer_credit_code, contract_expiry_time, no_epidemic_proof_url
    </sql>

</mapper>
